Compatibility issue between Rebex.Sftp, Version=3.0.5885.0 with Rebex 2019 R4.1

0 votes
asked Jun 5 by imthiyas.jmi94 (120 points)

Source version is Rebex.Sftp, Version=3.0.5885.0
Destination Version is Rebex.Sftp, Version=2019 R4.1

File transfer between these versions is failing with below error.

Negotiation failed. Requested service is not implemented.

Do I need to upgrade my source version to latest or I can do anything to fix this without any upgradation.

Thanks,
Imthiyas

Applies to: Rebex SFTP

1 Answer

0 votes
answered Jun 5 by Lukas Pokorny (109,670 points)

A common cause of "Requested service is not implemented" error is a mismatch between the form of Diffie-Hellman group exchange used by old versions of Rebex SFTP client and the server. Upgrading the client to Rebex SFTP to a recent version (such as 2019 R4.1) should solve the issue.

See this forum post for detailed information.

...